<html>
   <head>
      <meta http-equiv="pragma" content="no-cache">
      <meta http-equiv='content-type' content='text/html; charset=utf-8'>
      <title>Wrightia :: Remote Service's Comments Getter</title>
      %invoke wia.svccommtsrmtrdr.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      %end invoke%
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td>
               %invoke wia.svccommtsrmtrdr.ui.about:getMetadata%
                  <h1 class="title">%value packageLongName%, v%value packageVersion%</h1>
               %onerror%
                  <h1 class="title">Error: could not resolve package info</h1>
               %end invoke%
               <h3 class="title">Home Page</h3>
            </td>
            <td width="10" align="right"><img src="/WiaRoot/images/logo.gif"></td>
         </tr>
      </table>

      <h2>Credits</h2>
         <div>
            <p>A package developed by <span class="productname">Wrightia, S.A.</span> (<span class="productname">www.wrightia.com</span>) &copy; 2006-2016.</p>
         </div>

    <h2>Purpose</h2>
      <div>
         <p>
            This package provides functionality to get the service's comments on behalf of a remotely installed <span class="productname">Service Comments Viewer</span>.
         </p>
         <p>
            This package is only required on <span class="productname">Integration Servers</span> where there is not,
            or there cannot be, a <span class="productname">Service Comments Viewer</span> installed.
            Possible reasons for this are:
         </p>
         <ul>
            <li>The <span class="productname">Integration Server</span> version is less that 8.2;
               <p>Due to JVM limitations, the minimum server version is 8.2.</p>
            </li>
            <li>The <span class="productname">Service Profiler</span> is not (yet) installed in the server.
               <p>A valid installation of the <span class="productname">Service Profiler</span> is required to have the
                  <span class="productname">Service Comments Viewer</span> installed.
               </p>
               <p>This  lightweight remote getter does not require a <span class="productname">Service Profiler</span>.</p>
            </li>
         </ul>
      </div>

    <h2>Security</h2>
      <div>
         <p>
            The public functionality available from this package is of very strict usage and limited to users associated
            with the <tt>%value ACL%</tt> <span class="productname">ACL</span>.
         </p>
         <p>
            Upon package installation, the above indicated <span class="productname">ACL</span> is automatically created
            and the group <tt>Administrators</tt> is assigned to it.
            Any new or specific users need to belong to a group and that group needs to be manually added to the
            <span class="productname">ACL</span>.
         </p>
         <p>
            The <span class="productname">Remote Aliases</span> on the server(s) where the
            <span class="productname">Service Comments Viewer</span> is installed must be authenticated with a user that
            belongs to a group allowed by the above mentioned <span class="productname">ACL</span>, and:
         </p>
         <ul>
            <li>It should never be the <tt>Administrator</tt>;</li>
            <li>For governance and auditing purposes, the user name should identify the remote origin.</li>
         </ul>

      </div>

      <h3>Suggested Configuration</h3>
         <div>
            <p>To make sure that the users only access this functionality and nothing else, we can suggest the
               following configuration steps:
            </p>
            <ul>
               <li>Create a group only for the service user comments viewers, <em>e.g.</em> named
                  <tt><em>My_</em>CommentReaders</tt>;
                  <p>Where the '<tt><em>My_</em></tt>' can be replaced by whatever is used as a prefix in your organization.</p>
               </li>
               <li>Add the created group to the <span class="systemname">allowed</span> list of <tt>%value ACL%</tt> <span class="productname">ACL</span>;</li>
               <li>Create a list of users, one for each of the possible remote accessing <span class="productname">Service Comments Viewer</span>s, named <tt>RmtUsr_<em>server</em></tt>.
                  <p>Where the '<tt><em>server</em></tt>' part is a string that identifies the remote server, for instance <tt>B2B</tt>, <tt>OFFICE</tt>, <tt>WAREHOUSE</tt>, <em>etc</em>.</p>
                  <p>However, normally you should only need to define one user, because the usual configuration should be of
                     one centrally installed <span class="productname">Service Comments Viewer</span> and many remote
                     readers/getters... not the other way around.
                  </p>
               </li>
            </ul>
            <p>However, the most common and expected configuration is to have the <span class="productname">Service Profiler</span>
               and <span class="productname">Service Comments Viewer</span> installed together in each <span class="productname">Integration Server</span>.
            </p>
            <p>The use of this remote reader makes sense when you what to restrict its users to access a single <span class="productname">Integration Server</span>
               from which they can view the comments of all the desired services, even if they are at another server.
               This layout does limit the user configuration to a single <span class="productname">Integration Server</span>.
            </p>
         </div>

   </body>
</html>
